<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>
  <ItemGroup>
    <FrameworkReference Include="Microsoft.AspNetCore.App" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Asp.Versioning.Mvc" Version="8.1.0" />
    <PackageReference Include="Asp.Versioning.Mvc.ApiExplorer" Version="8.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="10.0.1" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="10.1.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="10.1.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="10.1.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="10.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\TakeoutSaaS.Shared.Abstractions\TakeoutSaaS.Shared.Abstractions.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Update="System.IO.Packaging" Version="10.0.1" />
  </ItemGroup>
</Project>
